public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Lars Wendler" <polynomial-c@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-libs/libpcre/files/, dev-libs/libpcre/
Date: Wed, 10 Apr 2019 06:19:06 +0000 (UTC)	[thread overview]
Message-ID: <1554877111.378165b144d4c9d0fe540d82ed064ca46b045dab.polynomial-c@gentoo> (raw)

commit:     378165b144d4c9d0fe540d82ed064ca46b045dab
Author:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
AuthorDate: Wed Apr 10 06:17:00 2019 +0000
Commit:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
CommitDate: Wed Apr 10 06:18:31 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=378165b1

Revert "dev-libs/libpcre: Removed old"

This reverts commit 738937f1dd8819af159f52452fcd6fd93468f7da.

Signed-off-by: Lars Wendler <polynomial-c <AT> gentoo.org>

 dev-libs/libpcre/Manifest                          |   1 +
 ...bpcre-8.41-sljit_mips-label-statement-fix.patch |  15 ++++
 dev-libs/libpcre/libpcre-8.41-r1.ebuild            | 100 +++++++++++++++++++++
 3 files changed, 116 insertions(+)

diff --git a/dev-libs/libpcre/Manifest b/dev-libs/libpcre/Manifest
index 79a8a6acc0b..78c057db7ae 100644
--- a/dev-libs/libpcre/Manifest
+++ b/dev-libs/libpcre/Manifest
@@ -1,2 +1,3 @@
+DIST pcre-8.41.tar.bz2 1561874 BLAKE2B 2a97a859237994137190da00c30ba7c15e8631b82b7f200858cf722f1fdd0405d36c24bb716eb099d8107f2f829a85fd7d3497f36cdac51769636989331e7a79 SHA512 cc9cdbeb98c010fe4f093a019bebfb91965dae4c6a48f8e49c38ec8df7d9da7f0d32c12fc58f22c51f1c2f010e72b65bcbf8bbf180060e93edf464fa9a7c3551
 DIST pcre-8.42.tar.bz2 1570171 BLAKE2B f68bac3cf8ff5a81ccba31fd4d8926e05143a25a756e7daba9793467cec9cd8a4766f394f958ffca088b472463a43a31ea77014f2d4505082c1f366a18f30c7a SHA512 b47b923108f6ee0c31409b79d0888314271b482a22590e164d02f21d2112fba22dd0342c24f9ba0f5fcc5b8c65550bad08c476e30a2fc79b34ecf4601ed82f3d
 DIST pcre-8.43.tar.bz2 1576584 BLAKE2B 12c2117fc5d242ada44884df279f7f8b4c680fa1623ddc131c0adca1740ec47614ac6af20fc60b0c516d9d7b66488ba8a4e5efa5fc8a0a70aacb02bb3d38ee53 SHA512 3b4ac2c7ccd77c9575d07a33c3456f40b50731029e62d01fb8f2f5871d7118e12bc9e6bc7a8079769c765e38da5ecf98c4b261b10ff0a2f14f0881b434f67af7

diff --git a/dev-libs/libpcre/files/libpcre-8.41-sljit_mips-label-statement-fix.patch b/dev-libs/libpcre/files/libpcre-8.41-sljit_mips-label-statement-fix.patch
new file mode 100644
index 00000000000..0494ccc25eb
--- /dev/null
+++ b/dev-libs/libpcre/files/libpcre-8.41-sljit_mips-label-statement-fix.patch
@@ -0,0 +1,15 @@
+diff -Naurp pcre-8.41.orig/sljit/sljitNativeMIPS_common.c pcre-8.41/sljit/sljitNativeMIPS_common.c
+--- pcre-8.41.orig/sljit/sljitNativeMIPS_common.c	2017-05-07 11:32:25.000000000 -0400
++++ pcre-8.41/sljit/sljitNativeMIPS_common.c	2017-07-29 17:50:24.508909742 -0400
+@@ -503,9 +503,11 @@ SLJIT_API_FUNC_ATTRIBUTE sljit_s32 sljit
+ #ifdef SLJIT_IS_FPU_AVAILABLE
+ 		return SLJIT_IS_FPU_AVAILABLE;
+ #elif defined(__GNUC__)
++	{
+ 		sljit_sw fir;
+ 		asm ("cfc1 %0, $0" : "=r"(fir));
+ 		return (fir >> 22) & 0x1;
++	}
+ #else
+ #error "FIR check is not implemented for this architecture"
+ #endif

diff --git a/dev-libs/libpcre/libpcre-8.41-r1.ebuild b/dev-libs/libpcre/libpcre-8.41-r1.ebuild
new file mode 100644
index 00000000000..d6f935a21d8
--- /dev/null
+++ b/dev-libs/libpcre/libpcre-8.41-r1.ebuild
@@ -0,0 +1,100 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=5
+
+inherit eutils multilib libtool flag-o-matic toolchain-funcs multilib-minimal
+
+DESCRIPTION="Perl-compatible regular expression library"
+HOMEPAGE="http://www.pcre.org/"
+MY_P="pcre-${PV/_rc/-RC}"
+if [[ ${PV} != *_rc* ]] ; then
+	# Only the final releases are available here.
+	SRC_URI="mirror://sourceforge/pcre/${MY_P}.tar.bz2
+		ftp://ftp.csx.cam.ac.uk/pub/software/programming/pcre/${MY_P}.tar.bz2"
+else
+	SRC_URI="ftp://ftp.csx.cam.ac.uk/pub/software/programming/pcre/Testing/${MY_P}.tar.bz2"
+fi
+
+LICENSE="BSD"
+SLOT="3"
+KEYWORDS="alpha amd64 arm arm64 hppa ia64 m68k ~mips ppc ppc64 s390 sh sparc x86 ~ppc-aix ~x64-cygwin ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE="bzip2 +cxx +jit libedit pcre16 pcre32 +readline +recursion-limit static-libs unicode zlib"
+REQUIRED_USE="readline? ( !libedit )
+	libedit? ( !readline )"
+
+RDEPEND="
+	bzip2? ( app-arch/bzip2 )
+	zlib? ( sys-libs/zlib )
+	libedit? ( dev-libs/libedit )
+	readline? ( sys-libs/readline:0= )
+"
+DEPEND="
+	${RDEPEND}
+	virtual/pkgconfig
+"
+RDEPEND="
+	${RDEPEND}
+"
+
+S="${WORKDIR}/${MY_P}"
+
+MULTILIB_CHOST_TOOLS=(
+	/usr/bin/pcre-config
+)
+
+PATCHES=(
+	"${FILESDIR}"/${PN}-8.41-sljit_mips-label-statement-fix.patch
+	"${FILESDIR}"/${PN}-8.41-fix-stack-size-detection.patch
+)
+
+src_prepare() {
+	epatch "${PATCHES[@]}"
+	sed -i -e "s:-lpcre ::" libpcrecpp.pc.in || die
+	elibtoolize
+}
+
+multilib_src_configure() {
+	local myeconfargs=(
+		--with-match-limit-recursion=$(usex recursion-limit 8192 MATCH_LIMIT)
+		$(multilib_native_use_enable bzip2 pcregrep-libbz2)
+		$(use_enable cxx cpp)
+		$(use_enable jit) $(use_enable jit pcregrep-jit)
+		$(use_enable pcre16)
+		$(use_enable pcre32)
+		$(multilib_native_use_enable libedit pcretest-libedit)
+		$(multilib_native_use_enable readline pcretest-libreadline)
+		$(use_enable static-libs static)
+		$(use_enable unicode utf) $(use_enable unicode unicode-properties)
+		$(multilib_native_use_enable zlib pcregrep-libz)
+		--enable-pcre8
+		--enable-shared
+		--htmldir="${EPREFIX}"/usr/share/doc/${PF}/html
+		--docdir="${EPREFIX}"/usr/share/doc/${PF}
+	)
+	ECONF_SOURCE="${S}" econf "${myeconfargs[@]}"
+}
+
+multilib_src_compile() {
+	emake V=1 $(multilib_is_native_abi || echo "bin_PROGRAMS=")
+}
+
+multilib_src_install() {
+	emake \
+		DESTDIR="${D}" \
+		$(multilib_is_native_abi || echo "bin_PROGRAMS= dist_html_DATA=") \
+		install
+	gen_usr_ldscript -a pcre
+}
+
+multilib_src_install_all() {
+	prune_libtool_files
+}
+
+pkg_preinst() {
+	preserve_old_lib /$(get_libdir)/libpcre.so.0
+}
+
+pkg_postinst() {
+	preserve_old_lib_notify /$(get_libdir)/libpcre.so.0
+}


             reply	other threads:[~2019-04-10  6:19 UTC|newest]

Thread overview: 9+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2019-04-10  6:19 Lars Wendler [this message]
  -- strict thread matches above, loose matches on Subject: below --
2023-08-03 19:08 [gentoo-commits] repo/gentoo:master commit in: dev-libs/libpcre/files/, dev-libs/libpcre/ Sam James
2020-02-13 10:20 Lars Wendler
2019-04-10  5:06 Lars Wendler
2018-03-21  7:05 Lars Wendler
2017-03-20  7:48 Mike Frysinger
2017-01-17 16:23 Lars Wendler
2016-06-14 18:39 Lars Wendler
2016-04-02 20:51 Mike Frysinger

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1554877111.378165b144d4c9d0fe540d82ed064ca46b045dab.polynomial-c@gentoo \
    --to=polynomial-c@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox